<?php

namespace Teknisa\SM\Service;

use Teknisa\SM\Factory\FctContratoGridFactory;

class FctContratoGridService {
    
    protected $fctContratoFactory;
    
    public function __construct(FctContratoGridFactory $fctContratoGridFactory) {
        $this->fctContratoGridFactory = $fctContratoGridFactory;
    }

    public function find($usaHierarquia, $cdoperador, $conditions, $limit, $offset, $orderBy) {
        if ($usaHierarquia) {
            return $this->fctContratoGridFactory->findHierarquia($conditions, $cdoperador, $limit, $offset, $orderBy);
        }
        else {
            return $this->fctContratoGridFactory->find($conditions, $limit, $offset, $orderBy);
        }
    }
    
}

?>